Bug 201525

Summary: [WHLSL] Ensure structs/arrays with pointers as fields are disallowed
Product: WebKit Reporter: Saam Barati <sbarati>
Component: WebGPUAssignee: Saam Barati <sbarati>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, dino, fpizlo, jonlee, justin_fan, mmaxfield, rmorisset, ryanhaddad, sam, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
patch
none
patch for landing none

Description Saam Barati 2019-09-05 15:58:23 PDT
...
Comment 1 Saam Barati 2019-09-10 00:50:28 PDT
Created attachment 378445 [details]
patch
Comment 2 Robin Morisset 2019-09-10 14:07:03 PDT
Comment on attachment 378445 [details]
patch

r=me
Comment 3 WebKit Commit Bot 2019-09-11 00:17:23 PDT
Comment on attachment 378445 [details]
patch

Clearing flags on attachment: 378445

Committed r249758: <https://trac.webkit.org/changeset/249758>
Comment 4 WebKit Commit Bot 2019-09-11 00:17:25 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Radar WebKit Bug Importer 2019-09-11 00:18:16 PDT
<rdar://problem/55252099>
Comment 6 Ryan Haddad 2019-09-11 09:01:39 PDT
Reverted r249758 for reason:

Breaks the watchOS build.

Committed r249765: <https://trac.webkit.org/changeset/249765>
Comment 7 Saam Barati 2019-09-11 14:29:27 PDT
Gonna look at the build failure now
Comment 8 Saam Barati 2019-09-11 14:29:56 PDT
(In reply to Saam Barati from comment #7)
> Gonna look at the build failure now

It's probably another missing include by changing the unified sources
Comment 9 Saam Barati 2019-09-11 15:44:26 PDT
Created attachment 378586 [details]
patch for landing
Comment 10 WebKit Commit Bot 2019-09-11 16:34:48 PDT
Comment on attachment 378586 [details]
patch for landing

Clearing flags on attachment: 378586

Committed r249787: <https://trac.webkit.org/changeset/249787>
Comment 11 WebKit Commit Bot 2019-09-11 16:34:50 PDT
All reviewed patches have been landed.  Closing bug.